Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface DynStruct

All Superinterfaces:
  DynAny, Object

Deprecated. Use the new DynStruct instead

    @Deprecated
    public interface DynStruct

extends Object, DynAny

The representation of a `DynAny` object that is associated with an IDL struct.

Method Summary
`TCKind` | `current_member_kind()` Deprecated. Returns the `TCKind` object that describes the kind of the current member.
`String` | `current_member_name()` Deprecated. During a traversal, returns the name of the current member.
`NameValuePair[]` | `get_members()` Deprecated. Returns an array containing all the members of the stored struct.
`void` | `set_members(NameValuePair[] value)` Deprecated. Set the members of the struct.

Methods inherited from interface org.omg.CORBA.DynAny
`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Method Detail

### current_member_name

    String current_member_name()

  Deprecated.
  During a traversal, returns the name of the current member.

  Returns:
    the string name of the current member

### current_member_kind

    TCKind current_member_kind()

  Deprecated.
  Returns the `TCKind` object that describes the kind of the current member.

  Returns:
    the `TCKind` object that describes the current member

### get_members

    NameValuePair[] get_members()

  Deprecated.
  Returns an array containing all the members of the stored struct.

  Returns:
    the array of name-value pairs
  See Also:
    `set_members(org.omg.CORBA.NameValuePair[])`

### set_members

    void set_members(NameValuePair[] value)
                     throws InvalidSeq

  Deprecated.
  Set the members of the struct.

  Parameters:
    `value` - the array of name-value pairs.
  Throws:
    `InvalidSeq` - if the given argument is invalid
  See Also:
    `get_members()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.